X2Go Bug report logs - #410
Segfault of _X11TransWritev in libNX_X11.so.6 with libQtGui

version graph

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: Sven Willenberger <swillenberger@upsicorp.com>

Date: Fri, 24 Jan 2014 02:50:02 UTC

Severity: normal

Merged with 113, 467

Found in version 3.5.0.22

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>, owner@bugs.x2go.org:
Bug#410; Package nx-libs (nx-x11). (Fri, 24 Jan 2014 02:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Sven Willenberger <swillenberger@upsicorp.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>, owner@bugs.x2go.org. (Fri, 24 Jan 2014 02:50:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Sven Willenberger <swillenberger@upsicorp.com>
To: submit@bugs.x2go.org
Subject: Segfault of _X11TransWritev in libNX_X11.so.6 with libQtGui
Date: Thu, 23 Jan 2014 21:39:19 -0500
Package: nx-libs (nx-x11)
Version: 3.5.0.22

Server (host)OS: Linux 3.12.8 (ArchLinux) x86_64
Client OS: Windows 8 (version 4.0.1.2 QT 4.8.5)

When using python apps with QT (either PyQT or PySide), any interaction
with the resulting window (when connected from windows to linux) causes
the program to crash. Partial stack trace:

#0  0x00007fffed78acb0 in _X11TransWritev () from /usr/lib/nx/X11/libNX_X11.so.6
#1  0x00007fffed76eb8e in _XSend () from /usr/lib/nx/X11/libNX_X11.so.6
#2  0x00007fffed763e69 in XQueryExtension () from /usr/lib/nx/X11/libNX_X11.so.6
#3  0x00007fffed759af2 in XInitExtension () from /usr/lib/nx/X11/libNX_X11.so.6
#4  0x00007fffeda3d7bb in XextAddDisplay () from /usr/lib/nx/X11/libNX_Xext.so.6
#5  0x00007fffedc4cee1 in XPanoramiXQueryExtension () from /usr/lib/nx/X11/Xinerama/libXinerama.so.1
#6  0x00007ffff0e01e3e in ?? () from /usr/lib/python3.3/site-packages/PySide-1.2.1-py3.3.egg/PySide/libQtGui.so.4
#7  0x00007ffff0e01f42 in QDesktopWidget::QDesktopWidget() () from /usr/lib/python3.3/site-packages/PySide-1.2.1-py3.3.egg/PySide/libQtGui.so.4

This just happened with the Jan 4 update to nx-libs (et al).

For comparison, using a basic ssh connection with X-forwarding and
starting an xterm session and running the same python programs succeeds.

-- 
Sven Willenberger
United Pay Systems International
http://www.upsicorp.com


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#410; Package nx-libs (nx-x11). (Wed, 11 Jun 2014 21:35:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Wed, 11 Jun 2014 21:35:03 GMT) (full text, mbox, link).


Message #10 received at 410@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Sven Willenberger <swillenberger@upsicorp.com>, 410@bugs.x2go.org
Subject: Re: Bug#410: Segfault of _X11TransWritev in libNX_X11.so.6 with libQtGui
Date: Wed, 11 Jun 2014 21:33:58 +0000
[Message part 1 (text/plain, inline)]
HI Sven,

On  Fr 24 Jan 2014 03:39:19 CET, Sven Willenberger wrote:

> Package: nx-libs (nx-x11)
> Version: 3.5.0.22
>
> Server (host)OS: Linux 3.12.8 (ArchLinux) x86_64
> Client OS: Windows 8 (version 4.0.1.2 QT 4.8.5)
>
> When using python apps with QT (either PyQT or PySide), any interaction
> with the resulting window (when connected from windows to linux) causes
> the program to crash. Partial stack trace:
>
> #0  0x00007fffed78acb0 in _X11TransWritev () from  
> /usr/lib/nx/X11/libNX_X11.so.6
> #1  0x00007fffed76eb8e in _XSend () from /usr/lib/nx/X11/libNX_X11.so.6
> #2  0x00007fffed763e69 in XQueryExtension () from  
> /usr/lib/nx/X11/libNX_X11.so.6
> #3  0x00007fffed759af2 in XInitExtension () from  
> /usr/lib/nx/X11/libNX_X11.so.6
> #4  0x00007fffeda3d7bb in XextAddDisplay () from  
> /usr/lib/nx/X11/libNX_Xext.so.6
> #5  0x00007fffedc4cee1 in XPanoramiXQueryExtension () from  
> /usr/lib/nx/X11/Xinerama/libXinerama.so.1
> #6  0x00007ffff0e01e3e in ?? () from  
> /usr/lib/python3.3/site-packages/PySide-1.2.1-py3.3.egg/PySide/libQtGui.so.4
> #7  0x00007ffff0e01f42 in QDesktopWidget::QDesktopWidget() () from  
> /usr/lib/python3.3/site-packages/PySide-1.2.1-py3.3.egg/PySide/libQtGui.so.4
>
> This just happened with the Jan 4 update to nx-libs (et al).
>
> For comparison, using a basic ssh connection with X-forwarding and
> starting an xterm session and running the same python programs succeeds.

sorry for responding soooo late...

Today, I have been in NX code for the whole day and I wonder, if I can  
do something for you to get the above issue fixed.

I tested the above with this python snippet:

"""
#!/usr/bin/python

# simple.py

import sys
from PyQt4 import QtGui

app = QtGui.QApplication(sys.argv)

widget = QtGui.QWidget()
widget.resize(250, 150)
widget.setWindowTitle('simple')
widget.show()

sys.exit(app.exec_())
"""

and I don't bump into any problems as described above.

Can you please:

  1. get latest x2goagent/nxagent/libnx-x11 from our nightly builds[1]
  2. re-test the above
  3. if you get the same error, send me the python code that triggers
     the bug

Greets,
Mike

PS: please wait for the current build of nx-libs to finish [2]

[1] http://wiki.x2go.org/doku.php/wiki:development:nightly-builds
[2] https://jenkins.x2go.org:8443/view/NX/

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#410; Package nx-libs (nx-x11). (Thu, 12 Jun 2014 22:10:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Thu, 12 Jun 2014 22:10:03 GMT) (full text, mbox, link).


Message #15 received at 410@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Sven Willenberger <swillenberger@upsicorp.com>
Cc: 410@bugs.x2go.org
Subject: Re: Bug#410: Segfault of _X11TransWritev in libNX_X11.so.6 with libQtGui
Date: Thu, 12 Jun 2014 22:06:05 +0000
[Message part 1 (text/plain, inline)]
Hi Sven,

re-Cc:-ing bug #410...

On  Do 12 Jun 2014 21:48:42 CEST, Sven Willenberger wrote:

> On Wed, 11 Jun 2014 21:33:58 +0000
> Mike Gabriel <mike.gabriel@das-netzwerkteam.de> wrote:
>
>> HI Sven,
>>
>> On  Fr 24 Jan 2014 03:39:19 CET, Sven Willenberger wrote:
>>
>> > Package: nx-libs (nx-x11)
>> > Version: 3.5.0.22
>> >
>> > Server (host)OS: Linux 3.12.8 (ArchLinux) x86_64
>> > Client OS: Windows 8 (version 4.0.1.2 QT 4.8.5)
>> >
>> > When using python apps with QT (either PyQT or PySide), any
>> > interaction with the resulting window (when connected from windows
>> > to linux) causes the program to crash. Partial stack trace:
>> >
>> > #0  0x00007fffed78acb0 in _X11TransWritev () from
>> > /usr/lib/nx/X11/libNX_X11.so.6
>> > #1  0x00007fffed76eb8e in _XSend ()
>> > from /usr/lib/nx/X11/libNX_X11.so.6 #2  0x00007fffed763e69 in
>> > XQueryExtension () from /usr/lib/nx/X11/libNX_X11.so.6
>> > #3  0x00007fffed759af2 in XInitExtension () from
>> > /usr/lib/nx/X11/libNX_X11.so.6
>> > #4  0x00007fffeda3d7bb in XextAddDisplay () from
>> > /usr/lib/nx/X11/libNX_Xext.so.6
>> > #5  0x00007fffedc4cee1 in XPanoramiXQueryExtension () from
>> > /usr/lib/nx/X11/Xinerama/libXinerama.so.1
>> > #6  0x00007ffff0e01e3e in ?? () from
>> >  
>> /usr/lib/python3.3/site-packages/PySide-1.2.1-py3.3.egg/PySide/libQtGui.so.4
>> > #7  0x00007ffff0e01f42 in QDesktopWidget::QDesktopWidget() () from
>> >  
>> /usr/lib/python3.3/site-packages/PySide-1.2.1-py3.3.egg/PySide/libQtGui.so.4
>> >
>> > This just happened with the Jan 4 update to nx-libs (et al).
>> >
>> > For comparison, using a basic ssh connection with X-forwarding and
>> > starting an xterm session and running the same python programs
>> > succeeds.
>>
>> sorry for responding soooo late...
>>
>> Today, I have been in NX code for the whole day and I wonder, if I
>> can do something for you to get the above issue fixed.
>>
>> I tested the above with this python snippet:
>>
>> """
>> #!/usr/bin/python
>>
>> # simple.py
>>
>> import sys
>> from PyQt4 import QtGui
>>
>> app = QtGui.QApplication(sys.argv)
>>
>> widget = QtGui.QWidget()
>> widget.resize(250, 150)
>> widget.setWindowTitle('simple')
>> widget.show()
>>
>> sys.exit(app.exec_())
>> """
>>
>> and I don't bump into any problems as described above.
>>
>> Can you please:
>>
>>    1. get latest x2goagent/nxagent/libnx-x11 from our nightly
>> builds[1] 2. re-test the above
>>    3. if you get the same error, send me the python code that triggers
>>       the bug
>>
>> Greets,
>> Mike
>>
>> PS: please wait for the current build of nx-libs to finish [2]
>>
>> [1] http://wiki.x2go.org/doku.php/wiki:development:nightly-builds
>> [2] https://jenkins.x2go.org:8443/view/NX/
>>
>
> As I am on Archlinux, I need to apply patches from the debian/patches
> directory from the git pull. Besides the Pgn.cpp patch (for libpng),
> what other patches need to be applied to make the git behave like the
> nx-libs-3.5.0.xx-full.tar.gz releases? (for example to create a master
> Makefile).

nx-libs/debian/roll-tarball.sh is your friend...

But Clemens already helped out on IRC I just saw...

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'nx-libs (nx-x11)' to 'nxagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 113-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:15:03 GMT) (full text, mbox, link).


No longer marked as found in versions 3.5.0.22. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 113-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:15:03 GMT) (full text, mbox, link).


Merged 113 410 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 113-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:15:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#410; Package nxagent. (Thu, 26 Jun 2014 20:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Sven Willenberger <swillenberger@upsicorp.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 26 Jun 2014 20:50:02 GMT) (full text, mbox, link).


Message #26 received at 410@bugs.x2go.org (full text, mbox, reply):

From: Sven Willenberger <swillenberger@upsicorp.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 410@bugs.x2go.org
Subject: Re: Bug#410: Segfault of _X11TransWritev in libNX_X11.so.6 with libQtGui
Date: Thu, 26 Jun 2014 16:39:24 -0400
[Message part 1 (text/plain, inline)]
So this goes into tracker:

I have isolated the problem to the following change in the nx-libs
Makefile between 3.5.0.21 and 3.5.0.22, which persists through HEAD:

--- nx-libs-3.5.0.21/Makefile   2014-06-14 12:45:27.000000000 -0400
+++ nx-libs-HEAD/Makefile       2014-06-12 16:31:48.000000000 -0400
@@ -3,6 +3,7 @@
 INSTALL_DIR=install -d -m 755
 INSTALL_FILE=install -m 644
 INSTALL_PROGRAM=install -m 755
+INSTALL_SYMLINK=ln -s -f
 COPY_SYMLINK=cp -a
 RM_FILE=rm -f
 RM_DIR=rmdir -p --ignore-fail-on-non-empty
@@ -114,6 +115,13 @@
                                "$$(string_rep "$$dirname" nx-X11/.build-exports/include "$(DESTDIR)$(PREFIX)/include/nx")"/ || true; \
            done; \
 
+       # Provide means for Xinerama support in NX/X2Go sessions. This
+       # This also requires two post-install symlinks:
+       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_X11.so.6 -> /usr/<libdir>/libX11.so.6
+       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_Xext.so.6 -> /usr/<libdir>/libXext.so.6
+       $(INSTALL_DIR) $(DESTDIR)$(NXLIBDIR)/X11/Xinerama
+       $(INSTALL_SYMLINK) ../libNX_Xinerama.so.1 $(DESTDIR)$(NXLIBDIR)/X11/Xinerama/libXinerama.so.1
+
        $(INSTALL_DIR) $(DESTDIR)$(PREFIX)/include/nx/X11/bitmaps
        $(INSTALL_FILE) nx-X11/.build-exports/include/X11/bitmaps/* \
                        $(DESTDIR)$(PREFIX)/include/nx/X11/bitmaps/
 

Commenting out the Xinerama lines and rebuilding results in a clean run
of my (and your) python scripts as well as VLC player.

I have attached a diff (excepting whitespace differences (diff -ub) of
my system's Xinerama.c (xorg's libXinerama 1.1.3) and the one provided
in x2go's source (based on XFree86).

-- 
Sven Willenberger
United Pay Systems International
http://www.upsicorp.com

[Xinerama_c.diff (text/x-patch, attachment)]
[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#410; Package nxagent. (Mon, 30 Jun 2014 11:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 11:25:03 GMT) (full text, mbox, link).


Message #31 received at 410@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Sven Willenberger <swillenberger@upsicorp.com>
Cc: 410@bugs.x2go.org
Subject: Re: Bug#410: Segfault of _X11TransWritev in libNX_X11.so.6 with libQtGui
Date: Mon, 30 Jun 2014 11:22:07 +0000
[Message part 1 (text/plain, inline)]
Hi Sven,

On  Do 26 Jun 2014 22:39:24 CEST, Sven Willenberger wrote:

> So this goes into tracker:
>
> I have isolated the problem to the following change in the nx-libs
> Makefile between 3.5.0.21 and 3.5.0.22, which persists through HEAD:
>
> --- nx-libs-3.5.0.21/Makefile   2014-06-14 12:45:27.000000000 -0400
> +++ nx-libs-HEAD/Makefile       2014-06-12 16:31:48.000000000 -0400
> @@ -3,6 +3,7 @@
>  INSTALL_DIR=install -d -m 755
>  INSTALL_FILE=install -m 644
>  INSTALL_PROGRAM=install -m 755
> +INSTALL_SYMLINK=ln -s -f
>  COPY_SYMLINK=cp -a
>  RM_FILE=rm -f
>  RM_DIR=rmdir -p --ignore-fail-on-non-empty
> @@ -114,6 +115,13 @@
>                                 "$$(string_rep "$$dirname"  
> nx-X11/.build-exports/include "$(DESTDIR)$(PREFIX)/include/nx")"/ ||  
> true; \
>             done; \
>
> +       # Provide means for Xinerama support in NX/X2Go sessions. This
> +       # This also requires two post-install symlinks:
> +       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_X11.so.6 ->  
> /usr/<libdir>/libX11.so.6
> +       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_Xext.so.6 ->  
> /usr/<libdir>/libXext.so.6
> +       $(INSTALL_DIR) $(DESTDIR)$(NXLIBDIR)/X11/Xinerama
> +       $(INSTALL_SYMLINK) ../libNX_Xinerama.so.1  
> $(DESTDIR)$(NXLIBDIR)/X11/Xinerama/libXinerama.so.1
> +
>         $(INSTALL_DIR) $(DESTDIR)$(PREFIX)/include/nx/X11/bitmaps
>         $(INSTALL_FILE) nx-X11/.build-exports/include/X11/bitmaps/* \
>                         $(DESTDIR)$(PREFIX)/include/nx/X11/bitmaps/
>
>
> Commenting out the Xinerama lines and rebuilding results in a clean run
> of my (and your) python scripts as well as VLC player.
>
> I have attached a diff (excepting whitespace differences (diff -ub) of
> my system's Xinerama.c (xorg's libXinerama 1.1.3) and the one provided
> in x2go's source (based on XFree86).

I really cannot reproduce the above issue on Debian.

But I have a suspicion...

Can you please check on Archlinux if you have the two other symlinks  
that are required for Xinerama to work?

""" (quoted from above...)
+       # Provide means for Xinerama support in NX/X2Go sessions. This
+       # This also requires two post-install symlinks:
+       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_X11.so.6 ->  
/usr/<libdir>/libX11.so.6
+       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_Xext.so.6 ->  
/usr/<libdir>/libXext.so.6
"""

If those are missing, please file a bug against the x2goserver package  
in Archlinux. The correct links have to be provided by the package  
maintainer (not by us upstream people).

If those links are missing: can you please create them and give  
feedback if the problem still occurs for you?

And...

Is my assumption correct that this bug only occurs if Xinerama has  
been enabled in the X2Go session's session profile (see profile  
manager window in X2Go Client).

Greets+Thanks!

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked as found in versions 3.5.0.22. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 467-submit@bugs.x2go.org. (Mon, 30 Jun 2014 13:20:02 GMT) (full text, mbox, link).


Merged 113 410 467 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 467-submit@bugs.x2go.org. (Mon, 30 Jun 2014 13:20:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#410; Package nxagent. (Mon, 30 Jun 2014 15:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Sven Willenberger <swillenberger@upsicorp.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 15:35:01 GMT) (full text, mbox, link).


Message #40 received at 410@bugs.x2go.org (full text, mbox, reply):

From: Sven Willenberger <swillenberger@upsicorp.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 410@bugs.x2go.org
Subject: Re: Bug#410: Segfault of _X11TransWritev in libNX_X11.so.6 with libQtGui
Date: Mon, 30 Jun 2014 11:32:14 -0400
[Message part 1 (text/plain, inline)]
On Mon, 30 Jun 2014 11:22:07 +0000
Mike Gabriel <mike.gabriel@das-netzwerkteam.de> wrote:

> Hi Sven,
> 
> 
> I really cannot reproduce the above issue on Debian.
> 
> But I have a suspicion...
> 
> Can you please check on Archlinux if you have the two other symlinks  
> that are required for Xinerama to work?
> 
> """ (quoted from above...)
> +       # Provide means for Xinerama support in NX/X2Go sessions. This
> +       # This also requires two post-install symlinks:
> +       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_X11.so.6 ->  
> /usr/<libdir>/libX11.so.6
> +       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_Xext.so.6 ->  
> /usr/<libdir>/libXext.so.6
> """
> 
> If those are missing, please file a bug against the x2goserver
> package in Archlinux. The correct links have to be provided by the
> package maintainer (not by us upstream people).
> 
> If those links are missing: can you please create them and give  
> feedback if the problem still occurs for you?
> 
> And...
> 
> Is my assumption correct that this bug only occurs if Xinerama has  
> been enabled in the X2Go session's session profile (see profile  
> manager window in X2Go Client).
> 
> Greets+Thanks!
> 
> Mike

I went ahead and changed the PKGBUILD file (Archlinux's package
building spec file) to include the symlinks as you pointed out (and as
are contained as comments in the Makefile) and rebuilt the package. It
works!! (pyQt, PySide, vlc all work now). That was the fix that was
needed and will report this to the package maintainers.

Regarding your assumption, it is actually incorrect. I do not have
Xinerama checked as an option in my session profile (it is unchecked)
so that had no bearing on the issue rearing itself.

Thanks!!

-- 
Sven Willenberger
United Pay Systems International
http://www.upsicorp.com

[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#410; Package nxagent. (Mon, 30 Jun 2014 20:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 20:05:01 GMT) (full text, mbox, link).


Message #45 received at 410@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Sven Willenberger <swillenberger@upsicorp.com>
Cc: 410@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: Bug#410: Segfault of _X11TransWritev in libNX_X11.so.6 with libQtGui
Date: Mon, 30 Jun 2014 20:02:58 +0000
[Message part 1 (text/plain, inline)]
close #410
close #113
close #467
thanks

Hi Sven,

On  Mo 30 Jun 2014 15:32:14 UTC, Sven Willenberger wrote:

>> """ (quoted from above...)
>> +       # Provide means for Xinerama support in NX/X2Go sessions. This
>> +       # This also requires two post-install symlinks:
>> +       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_X11.so.6 ->
>> /usr/<libdir>/libX11.so.6
>> +       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_Xext.so.6 ->
>> /usr/<libdir>/libXext.so.6
>> """

> I went ahead and changed the PKGBUILD file (Archlinux's package
> building spec file) to include the symlinks as you pointed out (and as
> are contained as comments in the Makefile) and rebuilt the package. It
> works!! (pyQt, PySide, vlc all work now). That was the fix that was
> needed and will report this to the package maintainers.

Great that we could track this down...

@all: X2Go BTS issues #113, #410 and #467 have been identified as  
packaging issues on Archlinux. For further reference, see here:

https://bugs.archlinux.org/task/41037

Sven, thanks for your help and providing your distro-specific  
expertise on this...
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 30 Jun 2014 20:05:02 GMT) (full text, mbox, link).


Notification sent to Sven Willenberger <swillenberger@upsicorp.com>:
Bug acknowledged by developer. (Mon, 30 Jun 2014 20:05:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 29 Jul 2014 05:24:01 GMT) (full text, mbox, link).


Bug unarchived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Feb 2016 19:40:02 GMT) (full text, mbox, link).


Bug archived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Feb 2016 20:20:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 6 08:21:12 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.